Bug 143708 - New port: www/drupal6-chaos - Drupal 6.x Chaos tool suite module
Summary: New port: www/drupal6-chaos - Drupal 6.x Chaos tool suite module
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-09 19:10 UTC by Anderson S. Ferreira
Modified: 2010-02-10 14:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anderson S. Ferreira 2010-02-09 19:10:05 UTC
This suite is primarily a set of APIs and tools to improve the developer experience. 
It also contains a module called the Page Manager whose is to manage pages. 
In particular it manages panel pages, but as it grows it will be able to manage far more than just Panels.

Fix: 

---
Aviso de confidencialidade:

Esta mensagem da Empresa Brasileira de Pesquisa Agropecuária (Embrapa), 
empresa pública federal regida pelo disposto na Lei Federal nº 5.851, 
de 7 de dezembro de 1972, é enviada exclusivamente a seu destinatário 
e pode conter informações confidenciais, protegidas por sigilo profissional. 
Sua utilização desautorizada é ilegal e sujeita o infrator às penas da lei. 
Se você a recebeu indevidamente, queira, por gentileza, reenviá-la ao emitente, 
esclarecendo o equívoco.

Confidentiality note:

This message from Empresa Brasileira de Pesquisa Agropecuária (Embrapa), 
a government company established under Brazilian law (5.851/72), 
is directed exclusively to its addressee and may contain confidential data, 
protected under professional secrecy rules. Its unauthorized use is illegal 
and may subject the transgressor to the law's penalties. 
If you are not the addressee, please send it back, elucidating the failure.--rrbdI6x70A001hQ021aLLcqySqb3ohY4cT5n5Fba6bi7ZrZA
Content-Type: text/plain; name="drupal6-chaos.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="drupal6-chaos.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	drupal6-chaos
#	drupal6-chaos/Makefile
#	drupal6-chaos/distinfo
#	drupal6-chaos/pkg-descr
#
echo c - drupal6-chaos
mkdir -p drupal6-chaos > /dev/null 2>&1
echo x - drupal6-chaos/Makefile
sed 's/^X//' >drupal6-chaos/Makefile << '373f01150779bdb9ea4a648b0205f055'
X# New ports collection makefile for:	drupal6-chaos
X# Date created:		09 Feb 2010
X# Whom:			anderson@cnpm.embrapa.br	
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ctools
XDISTVERSION=	6.x-1.3
XCATEGORIES=	www
XMASTER_SITES=	http://ftp.drupal.org/files/projects/
X
XMAINTAINER=	anderson@cnpm.embrapa.br
XCOMMENT=	Drupal 6.x Chaos tool suite module
X
XDRUPAL6_MODULE=	yes
X
XMODULE_DIRS=	views_content/translations views_content/plugins/views/translations \
X		views_content/plugins/views views_content/plugins/content_types/translations \
X		views_content/plugins/content_types views_content/plugins views_content \
X		translations plugins/relationships/translations plugins/relationships \
X		plugins/contexts/translations plugins/contexts \
X		plugins/content_types/vocabulary_context/translations \
X		plugins/content_types/vocabulary_context \
X		plugins/content_types/user_context/translations \
X		plugins/content_types/user_context \
X		plugins/content_types/term_context/translations \
X		plugins/content_types/term_context \
X		plugins/content_types/search/translations \
X		plugins/content_types/search \
X		plugins/content_types/page/translations \
X		plugins/content_types/page \
X		plugins/content_types/node_form/translations \
X		plugins/content_types/node_form \
X		plugins/content_types/node_context/translations \
X		plugins/content_types/node_context \
X		plugins/content_types/node/translations \
X		plugins/content_types/node \
X		plugins/content_types/form/translations \
X		plugins/content_types/form \
X		plugins/content_types/custom/translations \
X		plugins/content_types/custom \
X		plugins/content_types/contact/translations \
X		plugins/content_types/contact \
X		plugins/content_types/block/translations \
X		plugins/content_types/block \
X		plugins/content_types plugins/arguments/translations \
X		plugins/arguments plugins/access/translations \
X		plugins/access plugins page_manager/translations \
X		page_manager/theme/translations page_manager/theme \
X		page_manager/plugins/tasks/translations \
X		page_manager/plugins/tasks page_manager/plugins \
X		page_manager/js page_manager/images page_manager/help \
X		page_manager/css page_manager js includes/translations \
X		includes images help delegator \
X		ctools_plugin_example/translations \
X		ctools_plugin_example/plugins/relationships/translations \
X		ctools_plugin_example/plugins/relationships \
X		ctools_plugin_example/plugins/contexts/translations \
X		ctools_plugin_example/plugins/contexts \
X		ctools_plugin_example/plugins/content_types/translations \
X		ctools_plugin_example/plugins/content_types \
X		ctools_plugin_example/plugins/arguments/translations \
X		ctools_plugin_example/plugins/arguments \
X		ctools_plugin_example/plugins/access/translations \
X		ctools_plugin_example/plugins/access \
X		ctools_plugin_example/plugins  ctools_plugin_example/help \
X		ctools_plugin_example css bulk_export/translations \
X		bulk_export
X
XMODULE_FILES=	ctools.info \
X		bulk_export/translations/bulk_export.hu.po \
X		bulk_export/translations/bulk_export.pot \
X		bulk_export/bulk_export.css \
X		bulk_export/bulk_export.info \
X		bulk_export/bulk_export.module \
X		ctools.install \
X		ctools.module \
X		css/collapsible-div.css \
X		css/context.css \
X		css/ctools.css \
X		css/dropdown.css \
X		css/modal.css \
X		css/wizard.css \
X		ctools_plugin_example/help/Access-Plugins--Determining-access-and-visibility.html \
X		ctools_plugin_example/help/Argument-Plugins--Starting-at-the-beginning.html \
X		ctools_plugin_example/help/Chaos-Tools--CTools--Plugin-Examples.html \
X		ctools_plugin_example/help/Content-Type-Plugins--Displaying-content-using-a-context.html \
X		ctools_plugin_example/help/Context-plugins--Creating-a--context--from-an-argument.html \
X		ctools_plugin_example/help/Module-setup-and-hooks.html \
X		ctools_plugin_example/help/Relationships--Letting-one-context-take-us-to-another.html \
X		ctools_plugin_example/help/ctools_plugin_example.help.ini \
X		ctools_plugin_example/ctools_plugin_example.info \
X		ctools_plugin_example/ctools_plugin_example.module \
X		ctools_plugin_example/ctools_plugin_example.pages_default.inc \
X		ctools_plugin_example/plugins/access/translations/ctools_plugin_example-plugins-access.hu.po \
X		ctools_plugin_example/plugins/access/arg_length.inc \
X		ctools_plugin_example/plugins/access/example_role.inc \
X		ctools_plugin_example/plugins/panels.pages.inc \
X		ctools_plugin_example/plugins/arguments/translations/ctools_plugin_example-plugins-arguments.hu.po \
X		ctools_plugin_example/plugins/arguments/simplecontext_arg.inc \
X		ctools_plugin_example/plugins/content_types/translations/ctools_plugin_example-plugins-content_types.hu.po \
X		ctools_plugin_example/plugins/content_types/icon_example.png \
X		ctools_plugin_example/plugins/content_types/no_context_content_type.inc \
X		ctools_plugin_example/plugins/content_types/relcontext_content_type.inc \
X		ctools_plugin_example/plugins/content_types/simplecontext_content_type.inc \
X		ctools_plugin_example/plugins/contexts/translations/ctools_plugin_example-plugins-contexts.hu.po \
X		ctools_plugin_example/plugins/contexts/relcontext.inc \
X		ctools_plugin_example/plugins/contexts/simplecontext.inc \
X		ctools_plugin_example/plugins/relationships/translations/ctools_plugin_example-plugins-relationships.hu.po \
X		ctools_plugin_example/plugins/relationships/relcontext_from_simplecontext.inc \
X		ctools_plugin_example/translations/ctools_plugin_example.hu.po \
X		delegator/delegator.admin.inc \
X		delegator/delegator.module \
X		help/about.html \
X		help/ajax.html \
X		help/context-access.html \
X		help/context-arguments.html \
X		help/context-content.html \
X		help/context-context.html \
X		help/context-relationships.html \
X		help/context.html \
X		help/ctools.help.ini \
X		help/export.html \
X		help/form.html \
X		help/object-cache.html \
X		help/plugins-api.html \
X		help/plugins-creating.html \
X		help/plugins-implementing.html \
X		help/plugins.html \
X		help/wizard.html \
X		images/collapsible-collapsed.png \
X		images/collapsible-expanded.png \
X		images/icon-close-window.png \
X		images/icon-configure.png \
X		images/icon-delete.png \
X		images/no-icon.png \
X		images/status-active.gif \
X		images/throbber.gif \
X		includes/translations/includes.hu.po \
X		includes/ajax.inc \
X		includes/cleanstring.inc \
X		includes/collapsible.theme.inc \
X		includes/content.inc \
X		includes/content.menu.inc \
X		includes/content.theme.inc \
X		includes/context-access-admin.inc \
X		includes/context-admin.inc \
X		includes/context-task-handler.inc \
X		includes/context.inc \
X		includes/context.menu.inc \
X		includes/context.theme.inc \
X		includes/css.inc \
X		includes/dependent.inc \
X		includes/dropdown.theme.inc \
X		includes/export.inc \
X		includes/form.inc \
X		includes/jump-menu.inc \
X		includes/menu.inc \
X		includes/modal.inc \
X		includes/object-cache.inc \
X		includes/plugins.inc \
X		includes/wizard.inc \
X		includes/wizard.theme.inc \
X		js/ajax-responder.js \
X		js/collapsible-div.js \
X		js/dependent.js \
X		js/dimensions.js \
X		js/dropdown.js \
X		js/jump-menu.js \
X		js/mc.js \
X		js/modal.js \
X		page_manager/css/page-manager.css \
X		page_manager/help/about.html \
X		page_manager/help/api-task-handler.html \
X		page_manager/help/api-task-type.html \
X		page_manager/help/api-task.html \
X		page_manager/help/custom-pages-access.html \
X		page_manager/help/custom-pages-arguments.html \
X		page_manager/help/custom-pages-menu.html \
X		page_manager/help/custom-pages.html \
X		page_manager/help/getting-started-create.html \
X		page_manager/help/getting-started-custom-nodes.html \
X		page_manager/help/getting-started-custom-vocabulary.html \
X		page_manager/help/getting-started-members.html \
X		page_manager/help/getting-started-page-list.html \
X		page_manager/help/getting-started.html \
X		page_manager/help/page-task-type.html \
X		page_manager/help/page_manager.help.ini \
X		page_manager/help/variants.html \
X		page_manager/page_manager.admin.inc \
X		page_manager/page_manager.info \
X		page_manager/page_manager.install \
X		page_manager/page_manager.module \
X		page_manager/images/arrow-active.png \
X		page_manager/images/locked-other.png \
X		page_manager/images/locked.png \
X		page_manager/js/page-list.js \
X		page_manager/plugins/tasks/translations/page_manager-plugins-tasks.hu.po \
X		page_manager/plugins/tasks/blog.inc \
X		page_manager/plugins/tasks/blog_user.inc \
X		page_manager/plugins/tasks/contact_site.inc \
X		page_manager/plugins/tasks/contact_user.inc \
X		page_manager/plugins/tasks/node_edit.inc \
X		page_manager/plugins/tasks/node_view.inc \
X		page_manager/plugins/tasks/page.admin.inc \
X		page_manager/plugins/tasks/page.inc \
X		page_manager/plugins/tasks/poll.inc \
X		page_manager/plugins/tasks/search.inc \
X		page_manager/plugins/tasks/term_view.inc \
X		page_manager/plugins/tasks/user_view.inc \
X		page_manager/theme/translations/page_manager-theme.hu.po \
X		page_manager/theme/page-manager-edit-page.tpl.php \
X		page_manager/theme/page_manager.theme.inc \
X		page_manager/translations/page_manager.de.po \
X		page_manager/translations/page_manager.fr.po \
X		page_manager/translations/page_manager.hu.po \
X		page_manager/translations/page_manager.pot \
X		plugins/access/translations/plugins-access.hu.po \
X		plugins/access/compare_users.inc \
X		plugins/access/context_exists.inc \
X		plugins/access/node.inc \
X		plugins/access/node_access.inc \
X		plugins/access/node_language.inc \
X		plugins/access/node_type.inc \
X		plugins/access/perm.inc \
X		plugins/access/php.inc \
X		plugins/access/role.inc \
X		plugins/access/site_language.inc \
X		plugins/access/string_equal.inc \
X		plugins/access/string_length.inc \
X		plugins/access/term.inc \
X		plugins/access/term_vocabulary.inc \
X		plugins/arguments/node_add.inc \
X		plugins/arguments/nid.inc \
X		plugins/arguments/translations/plugins-arguments.hu.po \
X		plugins/arguments/node_edit.inc \
X		plugins/arguments/string.inc \
X		plugins/arguments/term.inc \
X		plugins/arguments/terms.inc \
X		plugins/arguments/uid.inc \
X		plugins/arguments/user_name.inc \
X		plugins/arguments/vid.inc \
X		plugins/content_types/block/translations/plugins-content_types-block.hu.po \
X		plugins/content_types/block/block.inc \
X		plugins/content_types/block/icon_contrib_block.png \
X		plugins/content_types/block/icon_contrib_block_empty.png \
X		plugins/content_types/block/icon_contrib_menu.png \
X		plugins/content_types/block/icon_contrib_page.png \
X		plugins/content_types/block/icon_core_activeforumtopics.png \
X		plugins/content_types/block/icon_core_authorinformation.png \
X		plugins/content_types/block/icon_core_block.png \
X		plugins/content_types/block/icon_core_block_empty.png \
X		plugins/content_types/block/icon_core_block_menu.png \
X		plugins/content_types/block/icon_core_booknavigation.png \
X		plugins/content_types/block/icon_core_languageswitcher.png \
X		plugins/content_types/block/icon_core_navigation.png \
X		plugins/content_types/block/icon_core_newforumtopics.png \
X		plugins/content_types/block/icon_core_page.png \
X		plugins/content_types/block/icon_core_popularcontent.png \
X		plugins/content_types/block/icon_core_primarylinks.png \
X		plugins/content_types/block/icon_core_recentblogposts.png \
X		plugins/content_types/block/icon_core_recentcomments.png \
X		plugins/content_types/block/icon_core_recentpoll.png \
X		plugins/content_types/block/icon_core_searchform.png \
X		plugins/content_types/block/icon_core_syndicate.png \
X		plugins/content_types/block/icon_core_userlogin.png \
X		plugins/content_types/block/icon_core_whosnew.png \
X		plugins/content_types/block/icon_core_whosonline.png \
X		plugins/content_types/contact/translations/plugins-content_types-contact.hu.po \
X		plugins/content_types/contact/contact.inc \
X		plugins/content_types/contact/icon_contact.png \
X		plugins/content_types/contact/user_contact.inc \
X		plugins/content_types/custom/translations/plugins-content_types-custom.hu.po \
X		plugins/content_types/custom/custom.inc \
X		plugins/content_types/custom/icon_block_custom.png \
X		plugins/content_types/form/translations/plugins-content_types-form.hu.po \
X		plugins/content_types/form/form.inc \
X		plugins/content_types/form/icon_form.png \
X		plugins/content_types/node/translations/plugins-content_types-node.hu.po \
X		plugins/content_types/node/icon_node.png \
X		plugins/content_types/node/node.inc \
X		plugins/content_types/node_context/translations/plugins-content_types-node_context.hu.po \
X		plugins/content_types/node_context/icon_node.png \
X		plugins/content_types/node_context/node_attachments.inc \
X		plugins/content_types/node_context/node_author.inc \
X		plugins/content_types/node_context/node_body.inc \
X		plugins/content_types/node_context/node_book_nav.inc \
X		plugins/content_types/node_context/node_comment_form.inc \
X		plugins/content_types/node_context/node_comments.inc \
X		plugins/content_types/node_context/node_content.inc \
X		plugins/content_types/node_context/node_created.inc \
X		plugins/content_types/node_context/node_links.inc \
X		plugins/content_types/node_context/node_title.inc \
X		plugins/content_types/node_context/node_type_desc.inc \
X		plugins/content_types/node_context/node_updated.inc \
X		plugins/content_types/node_form/translations/plugins-content_types-node_form.hu.po \
X		plugins/content_types/node_form/icon_node_form.png \
X		plugins/content_types/node_form/node_form_attachments.inc \
X		plugins/content_types/node_form/node_form_author.inc \
X		plugins/content_types/node_form/node_form_book.inc \
X		plugins/content_types/node_form/node_form_buttons.inc \
X		plugins/content_types/node_form/node_form_comment.inc \
X		plugins/content_types/node_form/node_form_input_format.inc \
X		plugins/content_types/node_form/node_form_log.inc \
X		plugins/content_types/node_form/node_form_menu.inc \
X		plugins/content_types/node_form/node_form_path.inc \
X		plugins/content_types/node_form/node_form_publishing.inc \
X		plugins/content_types/node_form/node_form_taxonomy.inc \
X		plugins/content_types/page/translations/plugins-content_types-page.hu.po \
X		plugins/content_types/page/page_breadcrumb.inc \
X		plugins/content_types/page/page_footer_message.inc \
X		plugins/content_types/page/page_help.inc \
X		plugins/content_types/page/page_messages.inc \
X		plugins/content_types/page/page_mission.inc \
X		plugins/content_types/page/page_slogan.inc \
X		plugins/content_types/page/page_tabs.inc \
X		plugins/content_types/page/page_title.inc \
X		plugins/content_types/search/translations/plugins-content_types-search.hu.po \
X		plugins/content_types/search/icon_search.png \
X		plugins/content_types/search/search_form.inc \
X		plugins/content_types/search/search_result.inc \
X		plugins/content_types/term_context/translations/plugins-content_types-term_context.hu.po \
X		plugins/content_types/term_context/icon_term.png \
X		plugins/content_types/term_context/term_description.inc \
X		plugins/content_types/term_context/term_list.inc \
X		plugins/content_types/user_context/translations/plugins-content_types-user_context.hu.po \
X		plugins/content_types/user_context/icon_user.png \
X		plugins/content_types/user_context/profile_fields.inc \
X		plugins/content_types/user_context/profile_fields_pane.tpl.php \
X		plugins/content_types/user_context/user_picture.inc \
X		plugins/content_types/user_context/user_profile.inc \
X		plugins/content_types/vocabulary_context/translations/plugins-content_types-vocabulary_context.hu.po \
X		plugins/content_types/vocabulary_context/icon_vocabulary.png \
X		plugins/content_types/vocabulary_context/vocabulary_terms.inc \
X		plugins/contexts/translations/plugins-contexts.hu.po \
X		plugins/contexts/node.inc \
X		plugins/contexts/node_add_form.inc \
X		plugins/contexts/node_edit_form.inc \
X		plugins/contexts/string.inc \
X		plugins/contexts/term.inc \
X		plugins/contexts/terms.inc \
X		plugins/contexts/token.inc \
X		plugins/contexts/user.inc \
X		plugins/contexts/vocabulary.inc \
X		plugins/relationships/translations/plugins-relationships.hu.po \
X		plugins/relationships/book_parent.inc \
X		plugins/relationships/term_from_node.inc \
X		plugins/relationships/term_parent.inc \
X		plugins/relationships/user_from_node.inc \
X		translations/ctools.de.po \
X		translations/ctools.fr.po \
X		translations/ctools.hu.po \
X		translations/ctools.pot \
X		translations/general.de.po \
X		translations/general.hu.po \
X		translations/general.pot \
X		views_content/plugins/content_types/translations/views_content-plugins-content_types.hu.po \
X		views_content/plugins/content_types/icon_views_block_legacy.png \
X		views_content/plugins/content_types/icon_views_page.png \
X		views_content/plugins/content_types/icon_views_page_legacy.png \
X		views_content/plugins/content_types/views.inc \
X		views_content/plugins/content_types/views_panes.inc \
X		views_content/plugins/views/translations/views_content-plugins-views.hu.po \
X		views_content/plugins/views/views_content.views.inc \
X		views_content/plugins/views/views_content_plugin_display_panel_pane.inc \
X		views_content/views_content.admin.inc \
X		views_content/views_content.info \
X		views_content/views_content.module \
X		views_content/translations/views_content.de.po \
X		views_content/translations/views_content.fr.po \
X		views_content/translations/views_content.hu.po \
X		views_content/translations/views_content.pot 
X
XDOC_FILES=	API.txt CHANGELOG.txt LICENSE.txt \
X                ctools_plugin_example/README.txt 
X
X
X
X.include <bsd.port.pre.mk>
X.include "${.CURDIR}/../../www/drupal5/bsd.drupal.mk"
X.include <bsd.port.post.mk>
373f01150779bdb9ea4a648b0205f055
echo x - drupal6-chaos/distinfo
sed 's/^X//' >drupal6-chaos/distinfo << '906b9b30339766bbf27388da50a4009e'
XMD5 (drupal/ctools-6.x-1.3.tar.gz) = f3cfab0b951c6e63b8b1d31e969518b7
XSHA256 (drupal/ctools-6.x-1.3.tar.gz) = 2db0d6c030352b79a747a5f54ceced4b744d0c38ca4b72743967505326bc3e13
XSIZE (drupal/ctools-6.x-1.3.tar.gz) = 382191
906b9b30339766bbf27388da50a4009e
echo x - drupal6-chaos/pkg-descr
sed 's/^X//' >drupal6-chaos/pkg-descr << '9602036c4e007ffd22ff856d81d8910f'
XThis suite is primarily a set of APIs and tools to improve the developer experience. 
XIt also contains a module called the Page Manager whose is to manage pages. 
XIn particular it manages panel pages, but as it grows it will be able to manage far more than just Panels.
X
XWWW: http://drupal.org/project/ctools
9602036c4e007ffd22ff856d81d8910f
exit
Comment 1 Edwin Groothuis freebsd_committer 2010-02-09 19:10:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-02-10 14:43:15 UTC
miwi        2010-02-10 14:43:06 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/drupal6-chaos    Makefile distinfo pkg-descr 
  Log:
  This suite is primarily a set of APIs and tools to improve the developer
  experience. It also contains a module called the Page Manager whose is
  to manage pages. In particular it manages panel pages, but as it grows
  it will be able to manage far more than just Panels.
  
  WWW: http://drupal.org/project/ctools
  
  PR:             ports/143708
  Submitted by:   Anderson Soares Ferreira <anderson@cnpm.embrapa.br>
  
  Revision  Changes    Path
  1.2548    +1 -0      ports/www/Makefile
  1.1       +379 -0    ports/www/drupal6-chaos/Makefile (new)
  1.1       +3 -0      ports/www/drupal6-chaos/distinfo (new)
  1.1       +6 -0      ports/www/drupal6-chaos/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2010-02-10 14:43:31 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!